org.apache.ignite.cache.eviction.random

## Interface RandomEvictionPolicyMBean

All Known Implementing Classes:
  RandomEvictionPolicy

    @MXBeanDescription(value="MBean for random cache eviction policy.")
    public interface RandomEvictionPolicyMBean

MBean for `random` eviction policy.

### Method Summary

Methods
`int` `getMaxSize()` Gets maximum allowed cache size.
`void` `setMaxSize(int max)` Sets maximum allowed cache size.

### Method Detail

#### getMaxSize

    @MXBeanDescription(value="Maximum allowed cache size.")
    int getMaxSize()

Gets maximum allowed cache size.

Returns:
  Maximum allowed cache size.

#### setMaxSize

    @MXBeanDescription(value="Sets maximum allowed cache size.")
    void setMaxSize(int max)

Sets maximum allowed cache size.

Parameters:
  `max` - Maximum allowed cache size.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016